summaryrefslogtreecommitdiffstats
path: root/template-node/installer/src/main/resources/scripts
diff options
context:
space:
mode:
authorSmokowski, Kevin (ks6305) <ks6305@att.com>2018-08-07 19:07:35 +0000
committerKevin Smokowski <ks6305@att.com>2018-08-08 19:33:46 +0000
commit42478b1721879ead6d595a238c45acd1c1f039c6 (patch)
tree74ff35430b2b214aadb68829fdfb76df8d7ffaf1 /template-node/installer/src/main/resources/scripts
parentefd6f9e3d2f770f16a6cb93efc061fe502a56979 (diff)
add template node
add tempalte node implementation Change-Id: Ifd3e6e7f2a7b9ff7029b523eab50274e440652cc Issue-ID: CCSDK-440 Signed-off-by: Smokowski, Kevin (ks6305) <ks6305@att.com>
Diffstat (limited to 'template-node/installer/src/main/resources/scripts')
-rw-r--r--template-node/installer/src/main/resources/scripts/install-feature.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/template-node/installer/src/main/resources/scripts/install-feature.sh b/template-node/installer/src/main/resources/scripts/install-feature.sh
new file mode 100644
index 00000000..0eab001d
--- /dev/null
+++ b/template-node/installer/src/main/resources/scripts/install-feature.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+###
+# ============LICENSE_START=======================================================
+# openECOMP : SDN-C
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights
+# reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+###
+
+ODL_HOME=${ODL_HOME:-/opt/opendaylight/current}
+ODL_KARAF_CLIENT=${ODL_KARAF_CLIENT:-${ODL_HOME}/bin/client}
+INSTALLERDIR=$(dirname $0)
+
+REPOZIP=${INSTALLERDIR}/${features.boot}-${project.version}.zip
+
+if [ -f ${REPOZIP} ]
+then
+ unzip -d ${ODL_HOME} ${REPOZIP}
+else
+ echo "ERROR : repo zip ($REPOZIP) not found"
+ exit 1
+fi
+
+${ODL_KARAF_CLIENT} feature:repo-add ${features.repositories}
+${ODL_KARAF_CLIENT} feature:install ${features.boot}